Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/public/get_mark_price_history \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "public/get_mark_price_history",
  "params": {
    "instrument_name": "BTC-25JUN21-50000-C",
    "start_timestamp": 1609376800000,
    "end_timestamp": 1609376810000
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/public/get_mark_price_history"

payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "public/get_mark_price_history",
"params": {
"instrument_name": "BTC-25JUN21-50000-C",
"start_timestamp": 1609376800000,
"end_timestamp": 1609376810000
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'public/get_mark_price_history',
params: {
instrument_name: 'BTC-25JUN21-50000-C',
start_timestamp: 1609376800000,
end_timestamp: 1609376810000
}
})
};

fetch('https://test.deribit.com/api/v2/public/get_mark_price_history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 25,
  "result": [
    [
      1608142381229,
      0.5165791606037885
    ],
    [
      1608142380231,
      0.5165737855432504
    ],
    [
      1608142379227,
      0.5165768236356326
    ]
  ]
}

Query Parameters

instrument_name
string
required

Instrument name Unique instrument identifier

Example:

"BTC-PERPETUAL"

start_timestamp
integer
required

The earliest timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

end_timestamp
integer
required

The most recent timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
array
required

Markprice history values as an array of arrays with 2 values each. The inner values correspond to the timestamp in ms and the markprice itself.

id
integer

The id that was sent in the request